# Class UILockListener.Queue

java.lang.Object
org.eclipse.ui.internal.UILockListener.Queue

Enclosing class:
  `UILockListener`

public static class UILockListener.Queue extends Object
The Queue is the construct that keeps track of Semaphores.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PendingSyncExec[]`
`elements`
`protected int`
`head`
`protected int`
`tail`

## Constructor Summary

Constructors
Constructor
Description
`Queue()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(PendingSyncExec element)`
Add the semaphore to the queue.
`PendingSyncExec`
`remove()`
Remove the next semaphore to be woken up.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### elements

protected PendingSyncExec[] elements

### head

protected int head

### tail

protected int tail

## Constructor Details

### Queue

public Queue()

## Method Details

### add

public void add(PendingSyncExec element)
Add the semaphore to the queue.

### remove

public PendingSyncExec remove()
Remove the next semaphore to be woken up.